"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAssociatedTokenAddress = void 0;
const spl_token_1 = require("@solana/spl-token");
const spl_utils_1 = require("@strata-foundation/spl-utils");
const react_1 = require("react");
const fetch = (wallet, mint) => spl_token_1.Token.getAssociatedTokenAddress(spl_utils_1.SPL_ASSOCIATED_TOKEN_ACCOUNT_PROGRAM_ID, spl_token_1.TOKEN_PROGRAM_ID, mint, wallet);
function useAssociatedTokenAddress(wallet, mint) {
    const [state, setState] = (0, react_1.useState)({ loading: true });
    (0, react_1.useEffect)(() => {
        if (!mint || !wallet) {
            return;
        }
        fetch(wallet, mint)
            .then((result) => {
            if (!state.result || result.toString() != state.result.toString()) {
                setState({ result, loading: false });
            }
        })
            .catch(() => { });
    }, [wallet, mint]);
    return state;
}
exports.useAssociatedTokenAddress = useAssociatedTokenAddress;
//# sourceMappingURL=useAssociatedTokenAddress.js.map